declare const _default: import("vue").DefineComponent<Readonly<{
    menu?: any;
    selectKeys?: any;
}>, {
    menuId: import("vue").ComputedRef<any>;
    isSelected: import("vue").ComputedRef<boolean>;
    onSubMenuClick: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "subMenuSelected"[], "subMenuSelected", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<Readonly<{
    menu?: any;
    selectKeys?: any;
}>>> & {
    onSubMenuSelected?: ((...args: any[]) => any) | undefined;
}, {
    readonly menu?: any;
    readonly selectKeys?: any;
}>;
export default _default;
